Subject: Re: [PATCH net-next v3 5/5] ionic: Add .get_fec_stats ethtool handler

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 May 2026 16:02:23 -0700

On Fri, 15 May 2026 12:59:04 -0700 Eric Joyner wrote:
> On 5/14/2026 6:32 PM, Jakub Kicinski wrote:
> > On Tue, 12 May 2026 15:44:21 -0700 Eric Joyner wrote:  
> >> This includes 802.3ck FEC histogram data that some newer
> >> hardware collects.  
> > 
> > Ah. "Some newer hardware"? As Sashiko points out the standard stats
> > are designed trying to avoid "does 0 mean unsupported or 0" ambiguity.
> > You need to figure out if the device reports them and if not - don't
> > set ranges.  
> 
> Unfortunately, there's no proper/good way to do this. A stopgap measure
> would be to use a rough proxy measure like checking the ASIC generation; and
> then we can implement a better way in the firmware/driver following that.

The FW definitely knows, so it's a SMOC.
Could you respin just patch 2 for now, or does it suffer from the same
shortcoming?